﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using PDFTron.SilverDox.Samples;

namespace ReaderControlSample
{
    /// <summary>
    /// Represents a controls that houses the ReaderControl
    /// </summary>
    public partial class MainPage : UserControl
    {
        private IDictionary<string, string> parameters = null;
        
        /// <summary>
        /// Create a new MainPage without any parameters
        /// </summary>
        public MainPage()
        {
            InitializeComponent();
            //Application.Current.Host.Content.FullScreenChanged += new EventHandler(Content_FullScreenChanged);
        }

        /// <summary>
        /// Create a new MainPage with parameters
        /// </summary>
        /// <param name="p">An IDictionary object that contains the parameters</param>
        public MainPage(IDictionary<string,string> p)
        {
            InitializeComponent();
            //Application.Current.Host.Content.FullScreenChanged += new EventHandler(Content_FullScreenChanged);
            this.parameters = p;            
        }

        private void UserControl_Loaded(object sender, RoutedEventArgs e)
        {
            string key = "DocumentUri";
            if (this.parameters.ContainsKey(key) && !string.IsNullOrEmpty(this.parameters[key]))
            {
                // load document uri from html tag only if 
                // InitialDocumentUrl was not set in xaml
                if (string.IsNullOrEmpty(myReaderControl.InitialDocumentUrl))
                    myReaderControl.LoadDocument(this.parameters[key]);
            }


        }


        // Uncomment to provide event handlers for the Uri address bar in MainPage.xaml, which when uncommented provides a UI to load remotely stored .xod documents.
       /* private void Content_FullScreenChanged(object sender, EventArgs e)
        {
            this.UriTextBox.IsReadOnly = Application.Current.Host.Content.IsFullScreen;
        }

        private void UriTextBox_KeyDown(object sender, KeyEventArgs e)
        {
            if (e.Key == Key.Enter)
            {
                if (!string.IsNullOrEmpty(UriTextBox.Text))
                {
                    myReaderControl.LoadDocument(UriTextBox.Text);
                }
            }
        }

        private void UriButton_Click(object sender, RoutedEventArgs e)
        {
            if (!string.IsNullOrEmpty(UriTextBox.Text))
            {
                myReaderControl.LoadDocument(UriTextBox.Text);
            }
        } */


    }
}
